Go Down

Topic: Arduino Ethernet and Arduino 1.0 (Read 996 times) previous topic - next topic

Joneh

Hi,

I'm new to this, so please forgive me if this has been asked before and solved (I've tried searching).

I have an Arduino Ethernet, which I can program "blink" from Arduino 0022.  I've tried Arduino 1.0 and I get a communication error: avrdude: stk500_getsync(): not in sync: resp=0x00

I have the board selected as Arduino Ethernet and the correct Com port (4).  I'm programming via the USB to serial adapter.  I've also tried via another PC, both of which run Windows 7.

Anyone come accross this before?  I'd like to use the latest ethernet library, so I believe I need to get this working in 1.0...

Thanks for any help!

Jon


PeteOC

I've had that before, I unplugged the cable from the Arduino so it lost power and disconnected from PC. Reattached and checked com port was correct within device manager and Arduino program. once I'd done that it worked like a charm.

Oh and make sure the board is correct :)
Follow my projects - http://www.begerk.co.uk

Joneh

Thanks, but I've been trying this for four days!

Lots of unplugging cable swapping etc etc

JO3RI

When you are using the usb2serial light from arduino, you'll need an extra driver. Serach for that on google or the hardware part on the arduino site.

Good luck
http://www.JO3RI.be

Nederlandstalige sectie - http://arduino.cc/forum/index.php/board,77.0.html -

Joneh

Hi JO3RI,

Thanks, I've already installed the driver from the hardware page contained in Arduino_USBSerial.zip.

Is there a specific driver for 1.0 as I can upload fine from 0022.

Thanks,
Jon

JO3RI

Nope, it is the same driver. But what I also did was updating the bootloader and that helped me a lot. From http://arduino.cc/en/Main/ArduinoBoardEthernet
Quote

If you want to use a FTDI cable to download your sketches on the Arduino Ethernet, please refer to this guide: Upgrade the Arduino Ethernet bootloader to the latest version


but you'll need a second arduino (ethernet).

follow the instructions on this page:

http://arduino.cc/en/Main/ArduinoBoardEthernet

when finished. disconnect and reconnect your upgraded arduino with your USB2serial light cable and try to upload blink sketch to your upgraded Arduino (still selecting Arduino ethernet.

http://www.JO3RI.be

Nederlandstalige sectie - http://arduino.cc/forum/index.php/board,77.0.html -

Joneh

I don't believe it!

My new Uno R3 arrived today to update the Arduino Ethernet and they release 1.01!!!

1.01 works fine, so I guess its a bug / qwirk of 1.0!

Thanks,
Jon

JO3RI

Cool, but still, consider to update your boot loader, you'll have just that little bit more flash ram.
http://www.JO3RI.be

Nederlandstalige sectie - http://arduino.cc/forum/index.php/board,77.0.html -

JO3RI

http://www.JO3RI.be

Nederlandstalige sectie - http://arduino.cc/forum/index.php/board,77.0.html -

Go Up